package com.adealink.weparty.call.datasource.local

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.module.account.AccountModule

object CallLocalService : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences("pref_call", Context.MODE_PRIVATE)
    },
    userId = {
        AccountModule.uid
    }
) {

    var requestOverPlayPermission: Boolean by PrefUserKey("key_request_overlay_permission", true)

}